/*
    Сайт ПМК
    Стиль сайта

    Сергей С. Подвинцев
*/


/* --- main --- */

html {
  overflow-x: hidden;
  font-size:  1rem;
}

body {
  padding-top:    0px;
  padding-bottom: 0px;
  font-family:    Roboto,arial, sans-serif;
  font-size:      1em;
  font-weight:    300;
}

p {
  padding: 1em 2% 1em 2%;
}

h1,h2,h3,h4 {
  font-weight: 300;
}

.header {
  background: #2191c0;
}


.footer {
  background: #2e404c;
}



.foto {
  opacity         : 0.8;
  -moz-opacity    : 0.8;
  filter          : alpha(opacity=80) black;
  -khtml-opacity  : 0.8;
/*  -webkit-filter: url(#blur);
  filter: url(#blur); 
  -webkit-filter: blur(3px); 
  filter: blur(3px); 
  filter:progid:DXImageTransform.Microsoft.Blur(PixelRadius='3'); */
  -webkit-transition  : 1s -webkit-filter linear; 
  transition          : 1s filter linear;
}

.btn-action {
  width          : 100%;
  height         : 60px;
  border-radius  : 20px;
  text-align     : center;
  padding-left   : 5px;
  padding-right  : 5px;
/*  font-size: 16px; */
}

.navbar {
  z-index        : 999;
}


/* ------- news -------- */

.img-news {
    display           : block;
    width             : 100%;
    max-width         : 100%;
    height            : auto;
}
.img-news-crop {
    height            : 350px;
    overflow          : hidden;
    position          : relative;
    background-color  : #212529;
}
.img-news-shadow {
    filter            : brightness(80%);
    height            : 350px;
    overflow          : hidden;
    position          : relative;
}
.img-news-crop h3 {
    position          : absolute;
    left              : 0;
    top               : 0;
    width             : 100%;
    height            : auto;
    text-align        : center;
    padding-left      : 15px;
    padding-right     : 15px;
    padding-top       : 15px;
    padding-bottom    : 15px;
    font-size         : 1.4em;
    font-weight       : 300;
    color             : #fff;
    background-color  : rgba(0, 0, 0, 0.6);
}
.img-news-crop .img-news-crop-text {
  position          : absolute;
  left              : 0;
  bottom            : 35px;
  width             : 94%;
  height            : auto;
  text-align        : justify;
  padding           : 2%;
  color             : #fff;
  background-color  : rgba(0, 0, 0, 0.6);
}
.img-news-crop .img-news-crop-date {
    position          : absolute;
    left              : 0;
    bottom            : 0;
    width             : 100%;
    height            : auto;
    text-align        : left;
    padding-top       : 10px;
    padding-left      : 15px;
    padding-bottom    : 10px;
    color             : #fff;
    background-color  : rgba(0, 0, 0, 0.6);
}
.img-news-crop .img-news-crop-author {
    position          : absolute;
    left              : 0;
    bottom            : 0;
    width             : 100%;
    height            : auto;
    text-align        : right;
    padding-top       : 10px;
    padding-right     : 15px;
    padding-bottom    : 10px;
    color             : #fff;
}
/* ---------------------------------- */






.pmk_name {
  font-size:   2em; 
  font-weight: 200;
  color:       #fff;
}
.pmk_name_2 {
  font-size:   1.6em; 
  font-weight: 300;
  color:       #fff;
}

.pmk_icon_menu {
/*    padding-top: 20px; */
/*    padding-bottom: 10px; */
  font-size    : 1.0em; 
  font-weight    : 100;
}

.pmk_icon {
/*    padding-top: 20px; */
/*    padding-bottom: 10px; */
  font-size    : 2em; 
  font-weight    : 200;
}

.pmk_slogan {
/*    padding-top: 20px; */
/*    padding-bottom: 10px; */
  font-size: 1.8em;
  font-weight: 200;
  color: #fff;
  background: rgba(0,0,0, 0.6);
}



.btn.wrap-normal{
  white-space: normal;
}


.pmk-link,
.pmk-link:hover,
.pmk-link:focus,
.pmk-link:active {
  color: inherit;
  text-decoration: none;
  font-weight: 400;
}




.pmk-action:hover {

  background: rgba(0,0,0, 0.1);
}



body[data-bs-theme="dark"] img {
  opacity: 0.85;
  transition: opacity 0.2s ease-in-out;
}

:root {
  --bs-dark: #19232d;
}


.bg-dark {
  background-color: var(--bs-dark) !important;
}


/* ----------- LIGHT ---------------- */

[data-bs-theme="light"] {
  --bs-dark: #2e404c;

  .pmk-svg path {
    fill: var( --bs-body-bg ) !important; /*  var( --bs-body-bg ); var( --bs-dark ) */
  }


  .pmk-action {
    color:       #2e404c;
    background: #a8d4e7;
  }
  .pmk-action:hover {
    background:  #a4daf1;
  }
  
  .footer {
    color:       #dae3e9;
    background: #202d35;
  }
  
  .pmk-main-odd {
    background: #d4dce2;
  }
  .pmk-main-even {
    background: #d4dce2;
  }
  .pmk-bg-notice {
    background: #dce3e7;
  }
  .pmk-bg-actions {
    background: #dce3e7;
  }
  .pmk-bg-banner {
    background: #afbac0;
  }
  
  .pmk-footer-copy {
    color:       #75889b;
  }
  

}

/* ----------- DARK ---------------- */

[data-bs-theme="dark"] {
  --bs-body-bg: #2e404c;
       /* --bs-body-color: #f8f9fa; */
  --bs-card-bg: #1e1e1e;
  --bs-dark: #202d35;

  .header {
    background: #0a6081;
  }

  .pmk_name {
    color:  var( --bs-dark ) !important;
    font-weight: 300;
  }
  .pmk_name_2 {
    color:  var( --bs-dark ) !important;
  }
  .pmk-svg path {
    fill:   var( --bs-dark ) !important;
  }

  .image-dark::before {
    content:"";
    position:absolute;
    top:0;
    bottom:0;
    left:0;
    right:0;
    background:rgba(0,0,0,0.6);
  }

  .pmk-main-odd {
    background: #293b46;
  }
  .pmk-main-even {
    background: #293b46;
  }
  .pmk-bg-notice {
    background: #293b46;
  }
  .pmk-bg-actions {
    background: #293b46;
  }
  .pmk-bg-banner {
    background: #2e404d;
  }
  

  .pmk-footer-copy {
    color:       #687b88;
  }
  

}





@media (min-width: 576px) {
  .n_title {
    font-size: 0.4em;
  }
}

/* sm */
@media (min-width: 768px) {
  .pmk_name {
    font-size: 2.8em;
  }
  .pmk_name_2 {
    font-size: 1.8em;
  }
  .n_title {
    font-size: 0.6em;
  }
}
/* md */
@media (min-width: 992px) {
  .pmk_name {
    font-size: 2.8em;
  }
  .pmk_name_2 {
    font-size: 1.8em;
  }
  .n_title {
    font-size: 0.8em;
  }
}
/* lg */
@media (min-width: 1200px) {
  .pmk_name {
    font-size: 2.8em;
  }
  .pmk_name_2 {
    font-size: 1.8em;
  }
  .n_title {
    font-size: 1.0em;
  }
}

/* -------- вертикальная карусель ----------- */
.vert .carousel-item-next.carousel-item-left,
.vert .carousel-item-prev.carousel-item-right {
    -webkit-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
}
.vert .carousel-item-next,
.vert .active.carousel-item-right {
    -webkit-transform: translate3d(0, 100%, 0);
            transform: translate3d(0, 100% 0);
}
.vert .carousel-item-prev,
.vert .active.carousel-item-left {
-webkit-transform: translate3d(0,-100%, 0);
        transform: translate3d(0,-100%, 0);
}
/* ------------------------------------------ */

.legend .row:nth-of-type(odd) div {
background-color: #e9ecef;
}
.legend .row:nth-of-type(even) div {
background: #FFFFFF;
}

.video-fluid {
    width: 100%;
    height: auto;
}




